Skip to main content

Perform a search for products

POST 

/search

Perform a search for products

Request

Query Parameters

    limit integer

    Possible values: >= 1 and <= 100

    The maximum number of results to return

Header Parameters

    X-SaleCycle-Id stringrequired

    Your SaleCycle API Subscription key

Body

required
    data objectrequired
    type string

    Possible values: [simple, full]

    The type of search.

    orderBy string

    Possible values: [name, price, brand, inStock, stockQuantity]

    The field to order by.

    orderDirection string

    Possible values: [asc, desc]

    The order direction.

    query stringrequired

    Possible values: >= 3 characters and <= 100 characters

    The query to search for.

    select string[]

    Possible values: [name, description, price, tags, currency, category, brand, imageUrl, stockQuantity, inStock]

    The fields to select from the result.

  • Array [
  • string

    Possible values: [name, description, price, tags, currency, category, brand, imageUrl, stockQuantity, inStock]

  • ]
  • filter string

    The filter to apply to the search.

Responses

Successful operation

Schema
    data object[]required
  • Array [
  • id stringrequired
    type stringrequired

    Possible values: [product]

    Default value: product

    attributes objectrequired
    name string
    description string
    price number
    inStock boolean
    stockQuantity integer
    imageUrl string
    tags string[]
    currency string
    productId string
    category string
    brand string
    property name* any
  • ]
  • meta object
    totalResults integer
Loading...